## com.vividsolutions.jts.geom
Interface CoordinateSequenceFactory

All Known Implementing Classes:
  CoordinateArraySequenceFactory, DefaultCoordinateSequenceFactory, PackedCoordinateSequenceFactory

public interface CoordinateSequenceFactory

A factory to create concrete instances of `CoordinateSequence`s. Used to configure `GeometryFactory`s to provide specific kinds of CoordinateSequences.

Version:
  1.7

Method Summary
`CoordinateSequence` `create(Coordinate[] coordinates)` Returns a `CoordinateSequence` based on the given array.
`CoordinateSequence` `create(CoordinateSequence coordSeq)` Creates a `CoordinateSequence` which is a copy of the given `CoordinateSequence`.
`CoordinateSequence` `create(int size, int dimension)` Creates a `CoordinateSequence` of the specified size and dimension.

Method Detail

### create

    public CoordinateSequence create(Coordinate[] coordinates)

  Returns a `CoordinateSequence` based on the given array. Whether the array is copied or simply referenced is implementation-dependent. This method must handle null arguments by creating an empty sequence.

  Parameters:
    `coordinates` - the coordinates

### create

    public CoordinateSequence create(CoordinateSequence coordSeq)

  Creates a `CoordinateSequence` which is a copy of the given `CoordinateSequence`. This method must handle null arguments by creating an empty sequence.

  Parameters:
    `coordSeq` - the coordinate sequence to copy

### create

    public CoordinateSequence create(int size,
                                     int dimension)

  Creates a `CoordinateSequence` of the specified size and dimension. For this to be useful, the `CoordinateSequence` implementation must be mutable.

  Parameters:
    `size` - the number of coordinates in the sequence
    `dimension` - the dimension of the coordinates in the sequence (if user-specifiable, otherwise ignored)